> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aireserve.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create file upload slot

> Create a presigned upload slot for a video file



## OpenAPI

````yaml /api-reference/openapi.json post /v1/files
openapi: 3.0.3
info:
  title: AI Reserve Gateway API
  description: >-
    The AI Reserve AI gateway REST surface — OpenAI-compatible chat completions,
    Anthropic-compatible messages, Bedrock Converse, images, video, and files
    behind one endpoint and one API key.
  version: 1.0.0
servers:
  - url: https://api.aireserve.com
security:
  - bearerAuth: []
paths:
  /v1/files:
    post:
      tags:
        - Files
      summary: Create file upload slot
      description: Create a presigned upload slot for a video file
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - content_type
                - size_bytes
              properties:
                content_type:
                  type: string
                size_bytes:
                  type: number
      responses:
        '200':
          description: Default Response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your AI Reserve API key (aireserve_api_…) from Profile → My API Keys in
        the portal.

````